/*
\begin{verbatim}
//////////////////////////////////////////////////////////////////////
//
// Verified Systems International GmbH
// Prof. Dr. Jan Peleska
// Parkstrasse 78 
// D-28209 Bremen
// Germany
// Tel.  : +49 421 344576
// Fax   : +49 421 344586
// e-mail: jp@informatik.uni-bremen.de
//
//--------------------------------------------------------------------
//
// (C) Copyright Verified Systems International GmbH $Date: 2000/09/26 06:11:24 $
//
//--------------------------------------------------------------------
//
// Produkt: RTT - Interface Module
//
//--------------------------------------------------------------------
//
// File Identification: IFM.h
//
// $Header: /lion/home/repository/VVTCVS/CVS/rtt-demo/ifm1/inc/ifm1.h,v 1.1.1.1 2000/09/26 06:11:24 steenbo Exp $
//
// $Revision: 1.1.1.1 $
//
// First edition by: 
// Last update by $Author: steenbo $
//
//--------------------------------------------------------------------
//
// Basic definitions for interface module software
//
//--------------------------------------------------------------------*/

#ifndef IFM_H
#define IFM_H

#include "rttiflib.h"

/********************************************************************
 *  define's
 ********************************************************************/


/*------------------------------------------------------------------ 
 size of arrays for data exchange between IFM and test engine 
-------------------------------------------------------------------*/
#define BUFFLEN        4000

/*------------------------------------------------------------------ 
 number ranges for raw events exchanged between IFM and test engine 
-------------------------------------------------------------------*/

#define FIRST_RAWEVENT 1
#define LAST_RAWEVENT  499

#define MAX_EVENTS     LAST_RAWEVENT+1 

/*------------------------------------------------------------------ 
 arrays for states of events sent or received by IFM 
-------------------------------------------------------------------*/

#define F_ACTIVE       0xFFFF
#define F_PASSIVE      0x0000

extern INT32 f[MAX_EVENTS];
extern INT32 fold[MAX_EVENTS];

#endif

/*//////////////////////////////////////////////////////////////
//
// Change History:
//
// $Log: ifm1.h,v $
// Revision 1.1.1.1  2000/09/26 06:11:24  steenbo
// initial.
//
// Revision 3.2  2000/07/11 19:23:04  jp
// Release Baseline 3.2
//
// Revision 1.1  2000/03/30 10:23:01  dahlweid
// - Added new templates directory to rt-tester hierarchy and included it
// in the build process.
// - Added a template for interface modules to templates directory. This
// IFM is ready to compile under Windows and Unix.
//
//
///////////////////////////////////////////////////////////////
\end{verbatim}
*/




